import java.util.Scanner;

public class ComputeFibonacci {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);
    System.out.print("Podaj indeks liczby Fibonacciego: ");
    int index = input.nextInt();

    // Obliczanie i wyświetlanie liczby Fibonacciego
    System.out.println("Liczba Fibonacciego o indeksie "
      + index + " wynosi " + fib(index));
  }

  /** Metoda obliczająca liczby Fibonacciego */
  public static long fib(long index) {
    if (index == 0) // Przypadek bazowy
      return 0;
    else if (index == 1) // Przypadek bazowy
      return 1;
    else  // Redukcja i wywołania rekurencyjne
      return fib(index - 1) + fib(index - 2);
  }
}
